CronTask
Returns a list of all CronTasks
GET/api/settings/cron_tasks
Query parameters
idstring | |
namestring | |
commandstring | |
runningboolean | |
doneboolean | |
deleteAfterDoneboolean | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all CronTasksarray<CronTask>
Show fields (9)
namestringName of the cron task.
commandstringCommand the cron task runs.
resultstringResult of the last run.
interval_lengthstringInterval between two runs.
last_runstring (date-time)Point in time of the last run.
next_runstring (date-time)Point in time of the next run.
runningbooleanWhether the task is currently running.
donebooleanWhether the task is done.
delete_after_donebooleanWhether the task is deleted after it is done.
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/cron_tasks \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/cron_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/cron_tasks"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/cron_tasks', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/cron_tasks"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/cron_tasks")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/cron_tasks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/cron_task_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CronTaskController.getAll();
if (result.success) {
print(result.data);
}[
{
"name": "Beispiel",
"command": "string",
"result": "string",
"interval_length": "string",
"last_run": "2026-10-15T09:30:00+02:00",
"next_run": "2026-10-15T09:30:00+02:00",
"running": true,
"done": true,
"delete_after_done": true
}
]Add a new CronTask
POST/api/settings/cron_tasks
Request body application/json
dataCronTaskShow fields (9)
namestringName of the cron task.
commandstringCommand the cron task runs.
resultstringResult of the last run.
interval_lengthstringInterval between two runs.
last_runstring (date-time)Point in time of the last run.
next_runstring (date-time)Point in time of the next run.
runningbooleanWhether the task is currently running.
donebooleanWhether the task is done.
delete_after_donebooleanWhether the task is deleted after it is done.
Responses
200Add a new CronTaskCronTask
Show fields (9)
namestringName of the cron task.
commandstringCommand the cron task runs.
resultstringResult of the last run.
interval_lengthstringInterval between two runs.
last_runstring (date-time)Point in time of the last run.
next_runstring (date-time)Point in time of the next run.
runningbooleanWhether the task is currently running.
donebooleanWhether the task is done.
delete_after_donebooleanWhether the task is deleted after it is done.
curl --request POST \
--url https://your-instance.iw-erp.de/api/settings/cron_tasks \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"name": "Beispiel",
"command": "string",
"result": "string",
"interval_length": "string",
"last_run": "2026-10-15T09:30:00+02:00",
"next_run": "2026-10-15T09:30:00+02:00"
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Beispiel',
command: 'string',
result: 'string',
interval_length: 'string',
last_run: '2026-10-15T09:30:00+02:00',
next_run: '2026-10-15T09:30:00+02:00'
}
})
};
fetch('https://your-instance.iw-erp.de/api/settings/cron_tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/cron_tasks"
payload = { "data": {
"name": "Beispiel",
"command": "string",
"result": "string",
"interval_length": "string",
"last_run": "2026-10-15T09:30:00+02:00",
"next_run": "2026-10-15T09:30:00+02:00"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/settings/cron_tasks', [
'body' => '{"data":{"name":"Beispiel","command":"string","result":"string","interval_length":"string","last_run":"2026-10-15T09:30:00+02:00","next_run":"2026-10-15T09:30:00+02:00"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/cron_tasks"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"name\":\"Beispiel\",\"command\":\"string\",\"result\":\"string\",\"interval_length\":\"string\",\"last_run\":\"2026-10-15T09:30:00+02:00\",\"next_run\":\"2026-10-15T09:30:00+02:00\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"name\":\"Beispiel\",\"command\":\"string\",\"result\":\"string\",\"interval_length\":\"string\",\"last_run\":\"2026-10-15T09:30:00+02:00\",\"next_run\":\"2026-10-15T09:30:00+02:00\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/cron_tasks")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/cron_tasks"
payload := strings.NewReader("{\"data\":{\"name\":\"Beispiel\",\"command\":\"string\",\"result\":\"string\",\"interval_length\":\"string\",\"last_run\":\"2026-10-15T09:30:00+02:00\",\"next_run\":\"2026-10-15T09:30:00+02:00\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/cron_task_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/cron_task.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CronTaskController.post(CronTask.fromJson({
"name": "Beispiel",
"command": "string",
"result": "string",
"interval_length": "string",
"last_run": "2026-10-15T09:30:00+02:00",
"next_run": "2026-10-15T09:30:00+02:00"
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"command": "string",
"result": "string",
"interval_length": "string",
"last_run": "2026-10-15T09:30:00+02:00",
"next_run": "2026-10-15T09:30:00+02:00",
"running": true,
"done": true,
"delete_after_done": true
}Returns a single CronTask entry.
GET/api/settings/cron_tasks/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single CronTaskCronTask
Show fields (9)
namestringName of the cron task.
commandstringCommand the cron task runs.
resultstringResult of the last run.
interval_lengthstringInterval between two runs.
last_runstring (date-time)Point in time of the last run.
next_runstring (date-time)Point in time of the next run.
runningbooleanWhether the task is currently running.
donebooleanWhether the task is done.
delete_after_donebooleanWhether the task is deleted after it is done.
curl --request GET \
--url https://your-instance.iw-erp.de/api/settings/cron_tasks/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/cron_tasks/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/cron_tasks/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/settings/cron_tasks/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/cron_tasks/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/cron_tasks/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/cron_tasks/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/cron_task_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CronTaskController.get('42');
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"command": "string",
"result": "string",
"interval_length": "string",
"last_run": "2026-10-15T09:30:00+02:00",
"next_run": "2026-10-15T09:30:00+02:00",
"running": true,
"done": true,
"delete_after_done": true
}Delete a CronTask
DELETE/api/settings/cron_tasks/{identifier}
Path parameters
identifierrequiredstring |
Responses
default
curl --request DELETE \
--url https://your-instance.iw-erp.de/api/settings/cron_tasks/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'DELETE', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/settings/cron_tasks/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/settings/cron_tasks/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-instance.iw-erp.de/api/settings/cron_tasks/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Delete,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/settings/cron_tasks/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/settings/cron_tasks/42")
.delete(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/settings/cron_tasks/42"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/cron_task_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await CronTaskController.delete('42');
if (result.success) {
print(result.data);
}